<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: gg::RoundedShape Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacegg.html">gg</a></li><li class="navelem"><a class="el" href="classgg_1_1RoundedShape.html">RoundedShape</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classgg_1_1RoundedShape-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">gg::RoundedShape Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="Container_8hpp_source.html">Container.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for gg::RoundedShape:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classgg_1_1RoundedShape.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ac2dcd5d2ba7674e04031e97743234a6e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1RoundedShape.html#ac2dcd5d2ba7674e04031e97743234a6e">RoundedShape</a> (const sf::Vector2f &amp;size=sf::Vector2f(100, 100), float radius=0, std::size_t pointCount=100)</td></tr>
<tr class="separator:ac2dcd5d2ba7674e04031e97743234a6e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8fa9b9f63f46c072e941f0340494715d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1RoundedShape.html#a8fa9b9f63f46c072e941f0340494715d">~RoundedShape</a> () override=default</td></tr>
<tr class="separator:a8fa9b9f63f46c072e941f0340494715d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a715e0fb006af9f0fe9f482374a85089b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1RoundedShape.html#a715e0fb006af9f0fe9f482374a85089b">SetSize</a> (const sf::Vector2f &amp;)</td></tr>
<tr class="separator:a715e0fb006af9f0fe9f482374a85089b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a73a10e084775142935a0744d69b5b09f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1RoundedShape.html#a73a10e084775142935a0744d69b5b09f">SetRadius</a> (float)</td></tr>
<tr class="separator:a73a10e084775142935a0744d69b5b09f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a82fd5d33abe092c391cb0e56b24b2500"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1RoundedShape.html#a82fd5d33abe092c391cb0e56b24b2500">SetPointCount</a> (std::size_t)</td></tr>
<tr class="separator:a82fd5d33abe092c391cb0e56b24b2500"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a395b81f1e646ca3c0994610f59fef338"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1RoundedShape.html#a395b81f1e646ca3c0994610f59fef338">getPointCount</a> () const -&gt; std::size_t override</td></tr>
<tr class="separator:a395b81f1e646ca3c0994610f59fef338"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad7af7e34311d7f6e76a9d4a97b03aa66"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1RoundedShape.html#ad7af7e34311d7f6e76a9d4a97b03aa66">getPoint</a> (std::size_t index) const -&gt; sf::Vector2f override</td></tr>
<tr class="separator:ad7af7e34311d7f6e76a9d4a97b03aa66"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ac2dcd5d2ba7674e04031e97743234a6e" name="ac2dcd5d2ba7674e04031e97743234a6e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac2dcd5d2ba7674e04031e97743234a6e">&#9670;&nbsp;</a></span>RoundedShape()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gg::RoundedShape::RoundedShape </td>
          <td>(</td>
          <td class="paramtype">const sf::Vector2f &amp;&#160;</td>
          <td class="paramname"><em>size</em> = <code>sf::Vector2f(100,&#160;100)</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>radius</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::size_t&#160;</td>
          <td class="paramname"><em>pointCount</em> = <code>100</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8fa9b9f63f46c072e941f0340494715d" name="a8fa9b9f63f46c072e941f0340494715d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8fa9b9f63f46c072e941f0340494715d">&#9670;&nbsp;</a></span>~RoundedShape()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">gg::RoundedShape::~RoundedShape </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ad7af7e34311d7f6e76a9d4a97b03aa66" name="ad7af7e34311d7f6e76a9d4a97b03aa66"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad7af7e34311d7f6e76a9d4a97b03aa66">&#9670;&nbsp;</a></span>getPoint()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::RoundedShape::getPoint </td>
          <td>(</td>
          <td class="paramtype">std::size_t&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const -&gt;  sf::Vector2f</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a395b81f1e646ca3c0994610f59fef338" name="a395b81f1e646ca3c0994610f59fef338"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a395b81f1e646ca3c0994610f59fef338">&#9670;&nbsp;</a></span>getPointCount()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::RoundedShape::getPointCount </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt;  std::size_t</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a82fd5d33abe092c391cb0e56b24b2500" name="a82fd5d33abe092c391cb0e56b24b2500"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a82fd5d33abe092c391cb0e56b24b2500">&#9670;&nbsp;</a></span>SetPointCount()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::RoundedShape::SetPointCount </td>
          <td>(</td>
          <td class="paramtype">std::size_t&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a73a10e084775142935a0744d69b5b09f" name="a73a10e084775142935a0744d69b5b09f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a73a10e084775142935a0744d69b5b09f">&#9670;&nbsp;</a></span>SetRadius()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::RoundedShape::SetRadius </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a715e0fb006af9f0fe9f482374a85089b" name="a715e0fb006af9f0fe9f482374a85089b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a715e0fb006af9f0fe9f482374a85089b">&#9670;&nbsp;</a></span>SetSize()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::RoundedShape::SetSize </td>
          <td>(</td>
          <td class="paramtype">const sf::Vector2f &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>include/gui/<a class="el" href="Container_8hpp_source.html">Container.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
